List of all members
clan::XPathObject Class Reference
clanCore XML

XPath result object. More...

`#include <xpath_object.h>`

## Public Member Functions
Constuction
| XPathObject ()
| XPathObject (bool value)
| XPathObject (double value)
| XPathObject (size_t value)
| XPathObject (const std::string &value)
| XPathObject (const std::vector< DomNode > &value)
Operations
void | set_null ()
| Set null. More...
void | set_node_set (const std::vector< DomNode > &node_set)
| Set node set. More...
void | set_boolean (bool value)
| Set boolean. More...
void | set_number (double value)
| Set number. More...
void | set_string (const std::string &str)
| Set string. More...

## Attributes
enum | Type { type_null, type_node_set, type_boolean, type_number, type_string }
Type | get_type () const
| Get Type. More...
bool | is_null () const
| Is Null. More...
std::vector< DomNode > | get_node_set () const
bool | get_boolean () const
| Get Boolean. More...
double | get_number () const
| Get Number. More...
std::string | get_string () const
| Get String. More...

## Detailed Description

XPath result object.

The documentation for this class was generated from the following file:

- xpath_object.h